<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand" href="#">Navbar</a>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li *ngFor="let topMenu of navigationMenu$ | async; let i = index" class="nav-item dropdown" role="group" ngbDropdown>
          <a class="dropdown-toggle nav-link" role="button" aria-haspopup="true" aria-expanded="false" ngbDropdownToggle>
            {{topMenu.title}} <b class="caret"></b>
          </a>
          <ul class="dropdown-menu top-dropdown" id="{{'dropdown-' + i}}" *ngIf="topMenu.routes" ngbDropdownMenu>
            <li *ngFor="let subMenu of topMenu.routes; let k = index" ngbDropdownItem>
              <a *ngIf="subMenu.externalLink" [attr.href]="subMenu.externalLink"
                [attr.target]="subMenu.target" class="dropdown-item">{{subMenu.title}}</a>
              <a *ngIf="subMenu.routerLink" [routerLink]="[subMenu.routerLink]" class="dropdown-item">{{subMenu.title}}</a>
            </li>
          </ul>
        </li>
      </ul>
    </div>
  </nav>
